#
# spec file for package kimap
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kimap
Version:        15.08.0
Release:        0
%define kf5_version 5.1.0
Summary:        KDE PIM Libraries: IMAP library
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kimap-%{version}.tar.xz
BuildRequires:  boost-devel >= 1.34.0
BuildRequires:  cyrus-sasl-devel
BuildRequires:  extra-cmake-modules >= 1.0.0
BuildRequires:  gpgme-devel
BuildRequires:  kmime-devel
BuildRequires:  kcmutils-devel >= %{kf5_version}
BuildRequires:  kcodecs-devel >= %{kf5_version}
BuildRequires:  kcompletion-devel >= %{kf5_version}
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kcoreaddons-devel >= %{kf5_version}
BuildRequires:  kdelibs4support-devel >= %{kf5_version}
BuildRequires:  kdoctools-devel >= %{kf5_version}
BuildRequires:  kemoticons-devel >= %{kf5_version}
BuildRequires:  kcodecs-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{kf5_version}
BuildRequires:  kio-devel >= %{kf5_version}
BuildRequires:  kitemviews-devel >= %{kf5_version}
BuildRequires:  kparts-devel >= %{kf5_version}
BuildRequires:  ktextwidgets-devel >= %{kf5_version}
BuildRequires:  kwallet-devel >= %{kf5_version}
BuildRequires:  kwidgetsaddons-devel >= %{kf5_version}
BuildRequires:  kxmlgui-devel >= %{kf5_version}
BuildRequires:  libKF5AkonadiPrivate-devel >= 1.72.43
BuildRequires:  libassuan-devel
BuildRequires:  libical-devel >= 0.42
BuildRequires:  libpth-devel
BuildRequires:  libxslt-devel
BuildRequires:  openldap2-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  solid-devel >= %{kf5_version}
BuildRequires:  sonnet-devel >= %{kf5_version}
BuildRequires:  pkgconfig(Qt5Designer) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Sql) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains additional libraries for KDE PIM applications.

%package -n libKF5IMAP5
Summary:        KDE PIM Libraries: IMAP APIs
Group:          Development/Libraries/KDE

%description  -n libKF5IMAP5
This package contains the libray for IMAP support

%package devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
Requires:       libKF5IMAP5 = %{version}
Requires:       kmime-devel >= %{version}
Requires:       kcoreaddons-devel >= %{kf5_version}
Requires:       boost-devel >= 1.34.0
Requires:       cyrus-sasl-devel

%description devel
This package contains necessary include files and libraries needed
to develop KDE PIM applications.

%prep
%setup -q -n kimap-%{version}

%build
  %cmake_kf5 -d build -- -DBUILD_TESTING=ON -DKF5_INCLUDE_INSTALL_DIR=%_kf5_includedir
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKF5IMAP5 -p /sbin/ldconfig

%postun -n libKF5IMAP5 -p /sbin/ldconfig

%files -n libKF5IMAP5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5IMAP.so.*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/cmake/KF5IMAP/
%{_kf5_libdir}/libKF5IMAP.so
%{_kf5_includedir}/KIMAP/
%{_kf5_includedir}/kimaptest/
%{_kf5_libdir}/libkimaptest.a
%{_kf5_includedir}/kimap_version.h
%{_kf5_mkspecsdir}/qt_KIMAP.pri

%changelog
